package com.diagbot.service.impl;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.diagbot.dto.CheckJobDTO;
import com.diagbot.dto.CheckWorkDTO;
import com.diagbot.entity.MedCheckInfo;
import com.diagbot.mapper.MedCheckInfoMapper;
import com.diagbot.service.MedCheckInfoService;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.diagbot.vo.CheckJobPageVO;
import com.diagbot.vo.CheckJobVO;
import com.diagbot.vo.CheckWorkPageVO;
import org.springframework.stereotype.Service;

import java.util.List;

/**
 * <p>
 * 核查表 服务实现类
 * </p>
 *
 * @author wangfeng
 * @since 2020-07-06
 */
@Service
public class MedCheckInfoServiceImpl extends ServiceImpl<MedCheckInfoMapper, MedCheckInfo> implements MedCheckInfoService {

    public IPage<CheckWorkDTO> getCheckWorkPage(CheckWorkPageVO checkWorkPageVO) {
        return baseMapper.getCheckWorkPage(checkWorkPageVO);
    }

    public int deleteBatchCodes(List<String> list){
        return baseMapper.deleteBatchCodes(list);
    }
    @Override
    public IPage<CheckJobDTO> getCheckList(CheckJobPageVO checkJobVO) {
        return baseMapper.getCheckList(checkJobVO);
    }
}
